/*Oculta el titulo en moviles para las portadas: 
_m_home_dfmas_ed
-m home df mas
-m home df sud
-m home financial times
-m home ed
*/
@media (max-width: 768px) {
    .box__arts--hide-title .block-head__description--sm {
        display: none;
    }
}


/* ajuste espacio entre items menu superior */
.header .header__links {
    gap: 16px !important;
}

.d-flex {
    display: flex;
}


.separator {
  color: #999;         
  margin: 0 6px;        
  opacity: 0.7;        
}

.taxpill__link {
  white-space: nowrap;      
  display: inline-flex; 
  align-items: center; 
}

/* boton whatsapp mercados */
.btn_market_news {
    background-color: #56D775;
    color: #FFFFFF;
    padding: 0.5rem 1.2rem;
    border-radius: 2rem;
    font-weight: bold;
    display: inline-flex;
    align-items: center;
    font-size: 0.9em;
    margin-left: auto;
    margin-right: 1rem;
    text-align: center;
    justify-content: center;
    width: auto;
}

.btn_market_news img {
    width: 25px;
    margin-right: 5px;
}



/* mensaje de confirmación formularios */

h2.error__subtit {
    font-size: 2rem;
    text-align: center;
}

p.error__baj {
    font-size: 1.25rem;
    text-align: center;
}



/* df live premios */

.dflive-tax-premios .info-premio {
    font-size: 1.15rem;
    font-weight: bold;
    line-height: 1.35;

}

.dflive-tax-premios .enc-banner.enc-banner__center {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
    padding: 0;
}

.dflive-tax-premios .enc-banner.enc-banner__center::before,
.dflive-tax-premios .enc-banner.enc-banner__center::after {
    content: "";
    height: 1px;
    background-color: #F7751D;
    flex: 1;
}

.dflive-tax-premios .enc-banner.enc-banner__center img {
    display: block;
    margin: 0 20px;
    width: auto;
}



/* descripcion de encabezados en cajas del home df */

.block-head__group .block-head__description {
    font-family: "TitilliumWeb-Bold", sans-serif;
    font-size: 1.1rem;
    max-width: 100%;
}


/* ajustes junta de accionistas */

.box-accionistas .card__description {
    display: none;
}

.box-accionistas .card__accionista li h3 {
    color: #F7751D;
    font-size: 1rem;
    margin-bottom: 0.2rem;
    margin-top: 0;
}


.box-accionistas .card__accionista li p {
    font-size: 1rem;
    margin-bottom: 0.3rem;
}

.box-accionistas .card__accionista ul {
    width: 100%;
}

.box-accionistas .card__accionista li {
    padding: 0.8rem 0rem;
    border-bottom: 1px solid #B9B9B9;
}

.box-accionistas .card__accionista li .agendar {
    font-family: "TitilliumWeb-Bold", sans-serif;
}

.box-accionistas .content__left {
    margin-top: 0rem;
}

.box-accionistas .content__left h3 {
    font-family: "TitilliumWeb-Bold", sans-serif;
    font-size: 1.1rem;
    margin-bottom: 0.7rem;
}

.box-accionistas.box__carousel .swiper-pagination .swiper-pagination-bullet-active {
    background-color: #F7751D !important;
}


/* logo dfmas en home df */
.block-head__dfmas .block-head__img img.block-head__logo {
    width: 220px;
}




/* ajustes boton suscripciones */

.btn_suscribete {}

.btn_papel_digital .texto {}

.btn_papel_digital .icono {
    display: none;
}

.header__center .drop-user {
    min-width: auto;
}

.header__center .drop-user ul {
    min-width: 180px;
}

/* Caja textos personalizados formulario estudiantes */
.form__info {
    background: #FFFFFF;
    border: 1px solid #e5e7eb;
    /* borde gris suave */
    border-radius: 6px;
    padding: 16px 20px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.04);
    color: #1e293b;
    font-size: 0.95rem;
    line-height: 1.6;
    transition: background-color 0.2s ease-in-out, border-color 0.2s ease-in-out;
    margin-bottom: 0;
}

.form__info:hover {
    background: #f8fafc;
    border-color: #d1d5db;
}

.form__info ul {
    list-style-type: disc;
    padding-left: 1.5rem;
    margin: 0;
}

.form__info li {
    margin-bottom: 6px;
}

.form__info li:last-child {
    margin-bottom: 0;
}


/* ---- REGIONES DF ---- */

/* HOME */

/* Articulos secundarios */
/* Linea negra para módulo Home Regiones DF */
section[data-mrf-recirculation="seccion-regionesdf"] .block-head {
    border-bottom: 5px solid #000;
    padding-bottom: 10px !important;
}



/* Linea negra para portada taxonomica DF */
.block-head--regiones {
    border-bottom: 5px solid #000;
    padding-bottom: 10px !important;
}



/* Estilos tax_pill 2 niveles home */
/* Regiones Home: estilos para links Tema|Subtema bajo la imagen */
section[data-mrf-recirculation="seccion-regionesdf"] .tax-pill a{
font-size: e.875rem;
color: #F7751D;
margin-bottom: 0;
font-family: "Roboto-Medium";
}



/* Articulo Principal */
/* Evita múltiples líneas naranjas bajo las etiquetas del bloque tax_pill */
section[data-mrf-recirculation="seccion-regionesdf"] .card__tags a:not(:first-of-type)::after {
  content: none !important;   /* elimina la línea naranja generada por el pseudo-elemento */
}

/* Agrega un pequeño margen entre enlaces */
section[data-mrf-recirculation="seccion-regionesdf"] .card__tags a + span,
section[data-mrf-recirculation="seccion-regionesdf"] .card__tags span + a {
  margin-left: 4px;
}


/* Taxport Regiones DF */
/* Aplica a todas las cards de Regiones DF, grandes y pequeñas */
.card .card__content .d-flex .card__tag:not(:first-of-type)::after,
.card__bg .card__content .d-flex .card__tag:not(:first-of-type)::after {
  content: none !important;
}


/* ===== Estilo fecha taxonomia Regiones (Tax_port_126) ===== */
section.tax-list .card__date,
body[class*="taxport_126"] .card__date {
  color: #2D4353;
  font-size: 0.875rem;
  font-family: "Roboto-Medium", sans-serif;
  margin-left: 4px;
}



/* ===== Estilos Audio player  ===== */

    .audio-player {
    max-width: 100%;
    padding: 0px;
    border-radius: 0px;
    color: #000000;
    }
    
    .audio-player .controls {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px;
    }
    
    .audio-player .audio-player-info {
    display: block;
    width: 100%;
    text-align: center;
    font-size: 0.9rem;
    padding: 5px;
    line-height: 1.2;
    }
    
    .audio-player .audio-player-info .icon {
    width: 18px;
    margin-right: 5px;
    }
    
    .audio-player #play-btn {
    background: #f7751e;
    border: none;
    color: white;
    padding: 12px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 16px;
    margin-left: 5px;
    display: flex;  
    box-sizing: border-box;
    line-height: 0;
    align-items: center;
    justify-content: center;
    }
    
    .audio-player #play-btn:hover {
    background: #000;
    }
    
    .audio-player #play-btn svg {
    position: relative;
    top: 0px;
    left: 1px;
    }
    
    /* Progress bar */
    .audio-player #progress {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 12px; 
    padding: 0;
    background: transparent;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 2px;
    border-bottom: none;
    }
    
    /* Track base */
    .audio-player #progress::-webkit-slider-runnable-track {
    height: 2px;
    background: transparent;
    }
    
    .audio-player #progress::-moz-range-track {
    height: 2px;
    background: transparent;
    }
    
    /* Thumb */
    .audio-player #progress::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 12px;
    width: 12px;
    background: #2d4353;
    border-radius: 50%;
    margin-top: -5px;
    transition: transform 0.2s;
    }
    
    .audio-player #progress::-webkit-slider-thumb:hover {
    transform: scale(1.3);
    }
    
    .audio-player #progress::-moz-range-thumb {
    height: 12px;
    width: 12px;
    background: #ff4d4d;
    border: none;
    border-radius: 50%;
    }
    
    /* Tiempo */
    .audio-player #time {
    font-size: 16px;
    min-width: 50px;
    }
                                        




/* ===== Estilos seccion DF Media  ===== */


    .justify-content-between { justify-content: space-between; }
    .mv-10 { margin: 10px 0 !important; }
    .mb-10 { margin-bottom: 10px !important; }
    .ml-10 { margin-left: 10px !important; }
    .w-100 { width: 100%; }
    .logo-df-media { max-width: 190px; }
    .text-uppercase { text-transform: uppercase; }
    .border-top { border-top: 1px solid; }
    .border-left { border-left: 1px solid; }
    .border-right { border-right: 1px solid; }
    .border-bottom { border-bottom: 1px solid; }
    .rounded-top { 
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }
    
    .rounded-bottom {
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
    }
    
    .border-orange { border-color: #F7751D; }
    .border-white { border-color: #ffffff; }
    .border-greyblue { border-color: #2D4353; }
    .text-orange { color: #F7751D !important; }
    .text-white { color: #ffffff; }
    .text-gray { color: #6c757d; }
    
    .fs-sm { font-size: 0.875rem !important; }
    .fs-normal { font-size: 1rem !important; }
    .fs-lg { font-size: 1.25rem !important; }
    .fw-bold { font-weight: bold; }
    
    .btn-lg {
        font-size: 1.125rem;   
        padding: 16px 20px;  
        border-radius: 12px; 
    }
                
    .bg-softgrey { background-color: #F0F0F0; }
    .border-r-10 { border-radius: 10px; }
    
    .shadow-1 {
            -webkit-box-shadow: 0px 3px 5px 0px rgba(0, 0, 0, 0.2);
            box-shadow: 0px 3px 5px 0px rgba(0, 0, 0, 0.2);
    }
                
    .border-media {
        border-left: 1px solid #2D4453;
        border-right: 1px solid #2D4453;
        border-top: 1px solid #2D4453;
        border-bottom: 1px solid #2D4453;
    }
    
    .overflow-h { overflow: hidden; }
    
    .box-df-media .align-center {
        align-items: center !important;
    }
    
    .box-df-media .card__destacado .card__tag {
    font-size: 1.2rem;
    color: #FF8701;
    margin-bottom: 8px;
    text-transform: uppercase;
    }
            
    .box-df-media .card__destacado .card__title {
    font-size: 1.6rem;
    }
    
    .box-df-media .card__destacado .btn_player {
    position: absolute;
    bottom: 15px;
    left: 15px;
    width: 55px;
    }
    
    .box-df-media .card__tag::after {
    content: none;
    }
    
    .box-df-media .chip,
    .tax-list .chip {
    font-size: 16px;
    padding: 8px 14px;
    }
    
    .box-df-media .chip:hover,
    .tax-list .chip:hover {
        background-color: #FF8701;
        color: #FFFFFF;
    }

    .btn-media::after{
    content: "";
    width: 28px;
    height: 28px;
    background: url(icon-play.svg) no-repeat center;
    background-size: contain;
    position: absolute;
    right: 20px;
    }
    
    .box-df-media .card__horizontal--sm .card__title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    }
    
    .meta_info_media  {
    justify-content: space-between;
    width: 100%;
    }
    
    .meta_info_media .meta_duracion {
    color: #666666;
    margin-top: 0.2rem;
    font-size: 0.9rem;
    }
    
    .meta_info_media .btn_player {
    width: 25px;
    }

    .media-destacados .btn_player {
        width: 40px;
    }

    .meta_info_media .meta_link {
    color: #666666;
    }

    .meta_info_media .meta_link:hover {
    color: #FF8701;
    }


    .card_media .card__tag {
    font-size: 0.875rem;
    color: #F7751D;
    margin-bottom: 0;
    font-family: "Roboto-Medium", sans-serif;
    }

    .card_media .card__tag {
    font-size: 0.875rem;
    color: #F7751D;
    margin-bottom: 0;
    font-family: "Roboto-Medium", sans-serif;
    }

    .card_media .card__tag::after {
    content: none;
    }

    .chip__soft_grey {
        background-color: #EEEEEE;
        color: #000000;
    }

    .chip__white {
        background-color: #FFFFFF;
        color: #000000;
    }
    
    .chip_en_vivo {
    position: absolute;
    top: 15px;
    left: 15px;
    color: #FFFFFF;
    text-transform: uppercase;
    background-color: #FF0101;
    padding: 7px 14px;
    font-size: 0.85rem;
    font-weight: bold;
    border-radius: 5px;
    }
    
    .chip_en_vivo .ic-on-air {
    max-width: 20px;
    margin-left: 5px;
    }
    

    
    @media (max-width: 426px) {
    .sm-flex-column { flex-direction: column; }
    .sm-p-0 { padding:0; }
    .sm-mb-1 { margin-bottom: 1rem; }
    .sm-border-r-0 { border-radius: 0px; }
    .card .btn-media { width: 100%; }
    .rounded-m-0 { border-radius: 0px !important; }
    .flex-m-column-reverse { flex-direction: column-reverse !important; }

}


/* ===== Fin Estilos seccion DF Media  ===== */





/* ===== Taxpill Artículo Regiones DF ===== */
.enc-main__content .d-flex .card__tag:not(:first-of-type)::after {
  content: none !important;
}



/* estilos responsive */
@media (max-width: 640px) {
    .btn_suscribete {
        margin-left: auto;
        margin-right: auto;
    }

    .btn_papel_digital {
        padding: 0 !important;
        border-color: transparent;
    }

    .btn_papel_digital .texto {
        display: none;
    }

    .btn_papel_digital .icono {
        width: 1.5rem !important;
        display: block;
    }

    .header.sticky .btn_suscribete {
        display: none;
    }

    .btn_market_news {
        width: 100%;
    }

    .block-head__dfmas .block-head__img img.block-head__logo {
        width: 240px !important;
    }


}